<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:b="http://bootsfaces.net/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="/layout/template.xhtml">

    <ui:define name="content">

        <b:growl id="growl" showDetail="true" sticky="true" autoUpdate="true"
                 show-summary="false" allowDismiss="true"
                 delay="3000" escape="true" placementFrom="top" placementAlign="center" globalOnly="false"/>

        <ui:include src="/fragments/home/_index_public_fragment.xhtml"/>

        <b:row>
            <b:column large-screen="6" styleClass="gzl-col-lg-6">
                <b:panel class="gzl-card-report fixed-token-panel" collapsible="false"
                         rendered="#{getPrincipal.loggedIn and tokenBean.isActiveToken()}">
                    <f:facet name="heading">
                        <b:iconAwesome name="check-square" solid="true" size="2x" style="padding-right:20px"/>
                        <h:outputText value="Gerer les tokens"/>
                    </f:facet>
                    <ui:include rendered="#{tokenBean.isActiveToken()}"
                                src="fragments/token/_actived_token_fragment.xhtml"/>
                </b:panel>

                <b:panel class="gzl-card-report fixed-token-panel" collapsible="false"
                         rendered="#{getPrincipal.loggedIn and not tokenBean.isActiveToken()}">
                    <f:facet name="heading">
                        <b:iconAwesome name="exclamation-triangle" solid="true" size="2x" style="padding-right:20px"/>
                        <h:outputText value="Gerer les tokens" />
                    </f:facet>
                    <ui:include src="fragments/token/_create_token_part_fragment.xhtml"/>
                </b:panel>
            </b:column>
            <b:column large-screen="6" styleClass="gzl-col-lg-6">
                <b:panel class="gzl-card-report fixed-token-panel" collapsible="false" rendered="#{getPrincipal.loggedIn}">
                    <f:facet name="heading">
                        <b:iconAwesome name="trash" solid="true" size="2x" style="padding-right:20px"/>
                        <h:outputText value="Supprimer les anciens tokens"/>
                    </f:facet>
                    <ui:include src="fragments/token/_delete_all_expired_user_tokens_fragment.xhtml"/>
                </b:panel>
            </b:column>
        </b:row>

        <b:panel class="gzl-card-report" collapsible="false" rendered="#{getPrincipal.loggedIn}">
            <f:facet name="heading">
                <b:iconAwesome name="list" solid="true" size="2x" style="padding-right:20px"/>
                <h:outputText value="Liste des tokens"/>
            </f:facet>
            <ui:include src="fragments/token/_list_user_tokens_fragment.xhtml"/>
        </b:panel>
    </ui:define>
</ui:composition>
